import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/home/HomeView.vue'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: 'Home',
      component: HomeView,
      redirect: '/resourceCatalogue',
      children: [
        // 基础目录
        {
          path: 'resourceCatalogue',
          name: 'ResourceCatalogue',
          component: () => import('../views/resCata/Index.vue'),
          meta: { menuName: '资源编目' },
        },
        {
          path: 'resourceCatalogueDetail/:type/:id?',
          name: 'ResourceCatalogueDetail',
          component: () => import('../views/resCata/Detail.vue'),
          meta: { menuName: '资源编目' },
        },
        {
          path: 'taskManage',
          name: 'TaskManage',
          component: () => import('../views/taskManage/Index.vue'),
          meta: { menuName: '任务管理' },
        },
        {
          path: 'aggregateTask/:id',
          name: 'AggregateTask',
          component: () => import('../views/taskManage/AggregateTask.vue'),
          meta: { menuName: '任务管理' },
        },

        //专题目录
        {
          path: 'specialCatalogue',
          name: 'SpecialCatalogue',
          component: () => import('../views/specialCata/Index.vue'),
          meta: { menuName: '专题编目' },
        },
        {
          path: 'specialCatalogueDetail/:type/:id?',
          name: 'SpecialCatalogueDetail',
          component: () => import('../views/specialCata/Detail.vue'),
          meta: { menuName: '专题编目' },
        },
        {
          path: 'attributeHook',
          name: 'AttributeHook',
          component: () => import('../views/attrHook/Index.vue'),
          meta: { menuName: '属性挂接' },
        },
        {
          path: 'attributeHookDetail/:type/:id?',
          name: 'AttributeHookDetail',
          component: () => import('../views/attrHook/Detail.vue'),
          meta: { menuName: '属性挂接' },
        },
        {
          path: 'dataFusion',
          name: 'DataFusion',
          component: () => import('../views/dataFusion/Index.vue'),
          meta: { menuName: '数据融合' },
        },
        {
          path: 'dataFusionDetail/:type/:id?',
          name: 'DataFusionDetail',
          component: () => import('../views/dataFusion/Detail.vue'),
          meta: { menuName: '数据融合' },
        },

        //基础信息维护
        {
          path: 'dataSourceManage',
          name: 'DataSourceManage',
          component: () => import('../views/dataSource/Index.vue'),
          meta: { menuName: '数据源管理' },
        },
        {
          path: 'dataSourceManageDetail/:type/:id?',
          name: 'DataSourceManageDetail',
          component: () => import('../views/dataSource/Detail.vue'),
          meta: { menuName: '数据源管理' },
        },
        {
          path: 'categoryManage',
          name: 'CategoryManage',
          component: () => import('../views/cataManage/Index.vue'),
          meta: { menuName: '门类管理' },
        },

        //数据监控
        {
          path: 'lifeCycle',
          name: 'LifeCycle',
          component: () => import('../views/lifeCycle/Index.vue'),
          meta: { menuName: '全生命周期监控' },
        },
        {
          path: 'lifeCycleDetail/:id?',
          name: 'LifeCycleDetail',
          component: () => import('../views/lifeCycle/Detail.vue'),
          meta: { menuName: '全生命周期监控' },
        },
        {
          path: 'relationAnalysis',
          name: 'RelationAnalysis',
          component: () => import('../views/relationAna/Index.vue'),
          meta: { menuName: '血缘分析' },
        },
        {
          path: 'relationAnalysisDetail/:id',
          name: 'RelationAnalysisDetail',
          component: () => import('../views/relationAna/Detail.vue'),
          meta: { menuName: '血缘分析' },
        },
        {
          path: 'influenceAnalysis',
          name: 'InfluenceAnalysis',
          component: () => import('../views/influenceAna/Index.vue'),
          meta: { menuName: '影响分析' },
        },
        {
          path: 'influenceAnalysisDetail/:id',
          name: 'InfluenceAnalysisDetail',
          component: () => import('../views/influenceAna/Detail.vue'),
          meta: { menuName: '影响分析' },
        },

        // 数据管理
        // {
        //   path: 'dataDecrypt',
        //   name: 'DataDecrypt',
        //   component: () => import('../views/dataDecrypt/Index.vue'),
        //   meta: { menuName: '数据消密' },
        // },
        // {
        //   path: 'dataDecryptDetail/:type',
        //   name: 'DataDecryptDetail',
        //   component: () => import('../views/dataDecrypt/Detail.vue'),
        //   meta: { menuName: '数据消密' },
        // },
        // {
        //   path: 'dataExtract',
        //   name: 'DataExtract',
        //   component: () => import('../views/dataExtract/Index.vue'),
        //   meta: { menuName: '数据提取' },
        // },
      ]
    }
  ]
})

export default router
