import request from "./index";

export function GetResCataList(current, pageSize, resourceName) {
  return request({
    url: '/service/tResourceCatalogue/list',
    method: "post",
    data: { current, pageSize, resourceName }
  })
}

export function GetResCataAdd(resource, tDataItem) {
  return request({
    url: '/service/tResourceCatalogue/insert',
    method: "post",
    data: { resource, tDataItem }
  })
}

export function GetResCataEdit(resource, tDataItem) {
  return request({
    url: '/service/tResourceCatalogue/edit',
    method: "post",
    data: { resource, tDataItem }
  })
}

export function GetResCataDelete(tResourceCatalogueId) {
  return request({
    url: '/service/tResourceCatalogue/delete',
    method: "post",
    data: { tResourceCatalogueId }
  })
}

export function GetResCataDetail(tResourceCatalogueId) {
  return request({
    url: '/service/tResourceCatalogue/getById',
    method: "post",
    data: { tResourceCatalogueId }
  })
}

export function GetTaskResList(currentPage,pageSize,formInline) {
  return request({
    url: '/task/getTaskResListByUserId',
    method: "post",
    data: {
      pageSize,
      currentPage,
      formInline
    }
  })
}

export function SetTaskAllData(params) {
  return request({
    url: '/task/setTaskAllData',
    method: "post",
    data: { ...params }
  })
}

export function GetTaskAllData(resourceId) {
  return request({
    url: '/task/getTaskAllData',
    method: "post",
    data: { resourceId }
  })
}

export function SetStartTask(resourceId) {
  return request({
    url: '/task/startTask',
    method: "post",
    data: { resourceId }
  })
}

export function SetStopTask(resourceId) {
  return request({
    url: '/task/stopTask',
    method: "post",
    data: { resourceId }
  })
}

export function GetSourceArr() {
  return request({
    url: '/converge/getSourceArr',
    method: "post",
  })
}

export function GetSource(sourceId) {
  return request({
    url: '/converge/getSource',
    method: "post",
    data: {
      sourceId
    }
  })
}

export function GetDatabase(sourceId) {
  return request({
    url: '/db/getDatabase',
    method: "post",
    data: {
      sourceId
    }
  })
}

export function GetTaskRuleList(currentPage,pageSize,state,type) {
  return request({
    url: '/rule/ruleList',
    method: "post",
    data: {
      pageSize,
      currentPage,
      state,
      type
    }
  })
}

export function GetDataCleanRule(){
  let cleanRuleArr = []
  if(localStorage.getItem("cleanRuleArr")){
    let arr = JSON.parse(localStorage.getItem("cleanRuleArr"))
    if(arr.length > 0){
      return arr
    }
  }
  GetTaskRuleList(1,100,'1','3').then(res => {
    // console.log(res);
    if(res.code === 200){
      for(let item of res.data.tableData){
        cleanRuleArr.push({
          label: item.name,
          value: item.value
        })
      }
      // console.log(cleanRuleArr);
      if(cleanRuleArr.length > 0){
        localStorage.setItem("cleanRuleArr",JSON.stringify(cleanRuleArr))
      }
      return cleanRuleArr
    }
  })
}

export function GetDataInspectRule(){
  let inspectRuleArr = []
  if(localStorage.getItem("inspectRuleArr")){
    let arr = JSON.parse(localStorage.getItem("inspectRuleArr"))
    if(arr.length > 0){
      return arr
    }
  }
  GetTaskRuleList(1,100,'1','2').then(res => {
    if(res.code === 200){
      for(let item of res.data.tableData){
        inspectRuleArr.push({
          label: item.name,
          value: item.value
        })
      }
      // console.log(inspectRuleArr);
      if(inspectRuleArr.length > 0){
        localStorage.setItem("inspectRuleArr",JSON.stringify(inspectRuleArr))
      }
      return inspectRuleArr
    }
  })
}
