import request from "./index";

export function GetSourceList(currentPage, pageSize, formInline) {
  return request({
    url: '/converge/getSourceList',
    method: "post",
    data: { pageSize, currentPage, formInline }
  })
}

export function AddSource(formData) {
  return request({
    url: '/converge/addSource',
    method: "post",
    data: { ...formData }
  })
}

export function EditSource(formData) {
  return request({
    url: '/converge/editSource',
    method: "post",
    data: { ...formData }
  })
}

export function GetSourceDetail(sourceId) {
  return request({
    url: '/converge/getSource',
    method: "post",
    data: { sourceId }
  })
}

export function DeleteSource(sourceId) {
  return request({
    url: '/converge/deleteSource',
    method: "post",
    data: { sourceId }
  })
}

export function GetTclassList(currentPage, pageSize) {
  return request({
    url: '/asset/tClass/list',
    method: "post",
    data: { currentPage, pageSize }
  })
}

export function AddTclass(tClassName, tClassParentId) {
  return request({
    url: '/asset/tClass/insert',
    method: "post",
    data: { tClassName, tClassParentId }
  })
}

export function EditTclass(tClassId, tClassName, tClassParentId) {
  return request({
    url: '/asset/tClass/update',
    method: "post",
    data: { tClassId, tClassName, tClassParentId }
  })
}

export function DeleteTclass(tClassId) {
  return request({
    url: '/asset/tClass/delete',
    method: "post",
    data: { tClassId }
  })
}