import axios from "axios"
import { useUserStore } from '../stores/user'

const userStore = useUserStore()

const service = axios.create({
	baseURL: 'http://10.81.74.131:8089/data-asset-manage-service',
	// baseURL: 'http://127.0.0.1:9254/data-asset-manage-service',
	timeout: 60000, // 请求超时时间 毫秒
	// withCredentials: true,
	headers: {
		"Content-Type": "application/json;charset=UTF-8",
		"userId": userStore.$state.userId
	},
})

service.interceptors.request.use(
	(config) => {
		return config;
	},
	(error) => {
		return Promise.reject(error);
	}
)

service.interceptors.response.use(
	(response) => {
		const res = response.data;
		return res;
	},
	(error) => {
		return Promise.reject(error);
	}
)

export default service;

