import request from "./index";

/* *********专题编目********** */

// 编目列表
export function GetSpecialCataList(current, pageSize) {
  return request({
    url: '/service/tSpecialCatalogue/list',
    method: "post",
    data: { current, pageSize }
  })
}

// 编目新增
export function PutSpecialCataInsert(resource) {
  return request({
    url: '/service/tSpecialCatalogue/insert',
    method: "post",
    data: { resource }
  })
}

// 编目修改
export function PutSpecialCataEdit(resource) {
  return request({
    url: '/service/tSpecialCatalogue/edit',
    method: "post",
    data: { resource }
  })
}

// 编目删除
export function PutSpecialCataDelete(tResourceCatalogueId) {
  return request({
    url: '/service/tSpecialCatalogue/delete',
    method: "post",
    data: { tResourceCatalogueId }
  })
}

// 编目信息查询
export function GetSpecialCataDetail(tResourceCatalogueId) {
  return request({
    url: '/service/tSpecialCatalogue/getById',
    method: "post",
    data: { tResourceCatalogueId }
  })
}


/* *********属性挂接********** */

// 列表页
export function GetAttrLinkList(page, limit, quickSearch) {
  return request({
    url: '/attributeLink/pageList',
    method: "post",
    data: { page, limit, quickSearch }
  })
}

// 详情页
export function GetAttrLinkDetail(id) {
  return request({
    url: '/attributeLink/detail',
    method: "post",
    data: { id }
  })
}

// 保存
export function PutAttrLinkSave(data) {
  return request({
    url: '/attributeLink/save',
    method: "post",
    data: { ...data }
  })
}

// 删除
export function PutAttrLinkDelete(id) {
  return request({
    url: '/attributeLink/delete',
    method: "post",
    data: { id }
  })
}

// 空间数据列表
export function GetResCataTree(current, pageSize) {
  return request({
    url: '/service/tResourceCatalogue/listForAttrLink',
    method: "post",
    data: { current, pageSize }
  })
}

// 专题数据列表
export function GetSpecialCataTree(current, pageSize) {
  return request({
    url: '/service/tSpecialCatalogue/listForAttrLink',
    method: "post",
    data: { current, pageSize }
  })
}

// 字段查询
export function GetCataFields(type, flag) {
  return request({
    url: '/service/tDataItem/getItems',
    method: "post",
    data: { type, flag }
  })
}

/* ********** 数据融合 ************ */

// 新建
export function PutDataFusionAdd(data) {
  return request({
    url: '/dataFusion/create',
    method: "post",
    data: { ...data }
  })
}

// 删除
export function PutDataFusionDelete(taskId) {
  return request({
    url: '/dataFusion/delete?taskId='+taskId,
    method: "post",
    // data: { taskId }
  })
}

// 详情
export function GetDataFusionDetail(taskId) {
  return request({
    url: '/dataFusion/detail?taskId='+taskId,
    method: "post",
    // data: { taskId }
  })
}

// 编辑
export function PutDataFusionEdit(data) {
  return request({
    url: '/dataFusion/modify',
    method: "post",
    data: { ...data }
  })
}

// 列表
export function GetDataFusionList(page, limit) {
  return request({
    url: '/dataFusion/page',
    method: "post",
    data: { page, limit }
  })
}
